=== debian/control ===
Source: ros-dashing-novatel-gps-driver
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libpcap0.8-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-diagnostic-msgs, ros-dashing-diagnostic-updater, ros-dashing-gps-msgs, ros-dashing-nav-msgs, ros-dashing-novatel-gps-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-swri-math-util, ros-dashing-swri-roscpp, ros-dashing-swri-serial-util, ros-dashing-tf2, ros-dashing-tf2-geometry-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-novatel-gps-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpcap0.8-dev, ros-dashing-diagnostic-msgs, ros-dashing-diagnostic-updater, ros-dashing-gps-msgs, ros-dashing-nav-msgs, ros-dashing-novatel-gps-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-swri-math-util, ros-dashing-swri-roscpp, ros-dashing-swri-serial-util, ros-dashing-tf2, ros-dashing-tf2-geometry-msgs, ros-dashing-ros-workspace
Description: Driver for NovAtel receivers
